Package fr.gouv.vitam.common.model.administration

# Class CombinedSchemaModel

java.lang.Object
fr.gouv.vitam.common.model.administration.schema.SchemaResponse
fr.gouv.vitam.common.model.administration.CombinedSchemaModel

public class CombinedSchemaModel extends SchemaResponse
POJO java use for mapping @
invalid reference

    fr.gouv.vitam.functional.administration.common.CombinedSchemaModel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_Control`
  `static final String`
  `TAG_EffectiveCardinality`

  ### Fields inherited from class fr.gouv.vitam.common.model.administration.schema.SchemaResponse

  `TAG_API_PATH, TAG_APIFIELD, TAG_CATEGORY, TAG_COLLECTION, TAG_CREATION_DATE, TAG_CUSTOM_SEARCH_TYPES, TAG_DESCRIPTION, TAG_FIELD_NAME, TAG_LAST_UPDATE_DATE, TAG_ORIGIN, TAG_PATH, TAG_PATH_CARDINALITY, TAG_SEDA_VERSIONS, TAG_SEDAFIELD, TAG_SHORT_NAME, TAG_STRING_TYPE_SIZE, TAG_TYPE, TAG_TYPE_DETAIL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CombinedSchemaModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaControl`
  `getControl()`
  `String`
  `getEffectiveCardinality()`
  `void`
  `setControl(SchemaControl control)`
  `void`
  `setEffectiveCardinality(String effectiveCardinality)`

  ### Methods inherited from class fr.gouv.vitam.common.model.administration.schema.SchemaResponse

  `getApiField, getApiPath, getCardinality, getCategory, getCollection, getCreationDate, getCustomSearchTypes, getDescription, getFieldName, getLastUpdate, getOrigin, getPath, getSedaField, getSedaVersions, getShortName, getStringSize, getTenant, getType, getTypeDetail, setApiField, setApiPath, setCardinality, setCategory, setCollection, setCreationDate, setCustomSearchTypes, setDescription, setFieldName, setLastUpdate, setOrigin, setPath, setSedaField, setSedaVersions, setShortName, setStringSize, setTenant, setType, setTypeDetail`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_EffectiveCardinality

    public static final String TAG_EffectiveCardinality
    See Also:
      - Constant Field Values

  - ### TAG_Control

    public static final String TAG_Control
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CombinedSchemaModel

    public CombinedSchemaModel()

- ## Method Details

  - ### getControl

    public SchemaControl getControl()

  - ### setControl

    public void setControl(SchemaControl control)

  - ### getEffectiveCardinality

    public String getEffectiveCardinality()

  - ### setEffectiveCardinality

    public void setEffectiveCardinality(String effectiveCardinality)